Makrodefinicja: Wyrównaj ujęcie widoku do płaszczyzny roboczej

From FreeCAD Documentation
Revision as of 10:07, 21 December 2021 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

Macro Align Camera to Working Plane.png Makrodefinicja: Wyrównaj ujęcie widoku do płaszczyzny roboczej

Opis
Za pomocą tej makrodefinicji ujęcie widoku jest wyrównywane do bieżącej Płaszczyzny roboczej.

Macro version: 0.1
Last modified: 2017-03-16
FreeCAD version: Wszystkie
Download: ToolBar Icon
Autor: yorik
Autor
yorik
Do pobrania
ToolBar Icon
Odnosniki
Wersja Makrodefinicji
0.1
Data zmian
2017-03-16
Wersja FreeCAD
Wszystkie
Domyślny skrót
Brak
Zobacz również
Makrodefinicja: Wyrównaj płaszczyznę roboczą do ujęcia widoku Macro Align Working Plane to Camera.png

Opis

Za pomocą tej makrodefinicji ujęcie widoku jest wyrównywane do bieżącej Płaszczyzny roboczej.

Użycie

Skrypt

Ikonka paska narzędzi Macro Align Camera to Working Plane.png

Macro_Align_Camera_to_Working_Plane.FCMacro

import FreeCAD,FreeCADGui
c = FreeCADGui.ActiveDocument.ActiveView.getCameraNode()
r = FreeCAD.DraftWorkingPlane.getRotation().Rotation.Q
c.orientation.setValue(r)